# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KFileMimeTypeInfo::ItemInfo Class Reference

This is the class for one item of a KFileMimeTypeInfo. More...

`#include <kfilemetainfo.h>`

Collaboration diagram for KFileMimeTypeInfo::ItemInfo:

[legend]
List of all members.

## Public Member Functions

const QString & | prefix () const
const QString & | suffix () const
QVariant::Type | type () const
const QString & | key () const
QString | string (const QVariant &value, bool mangle=true) const
bool | isVariableItem () const
const QString & | translatedKey () const
uint | attributes () const
uint | hint () const
uint | unit () const

## Friends

class | KFilePlugin
class | GroupInfo

## Detailed Description

This is the class for one item of a KFileMimeTypeInfo.

It contains every information about a KFileMetaInfoItem that this item has in common for each file of a specific mimetype.

Definition at line 245 of file kfilemetainfo.h.

## Member Function Documentation

const QString& KFileMimeTypeInfo::ItemInfo::prefix | ( |  | ) | const`[inline]`

This method returns a translated prefix to be displayed before the value.

Think e.g. of the $ in $30

Returns:
  the prefix

Definition at line 260 of file kfilemetainfo.h.

Referenced by string().

const QString& KFileMimeTypeInfo::ItemInfo::suffix | ( |  | ) | const`[inline]`

This method returns a translated suffix to be displayed after the value.

Think of the kbps in 128kbps

Returns:
  the prefix

Definition at line 271 of file kfilemetainfo.h.

Referenced by string().

QVariant::Type KFileMimeTypeInfo::ItemInfo::type | ( |  | ) | const`[inline]`

The items for a file are stored as a QVariant and this method can be used to get the data type of this item.

Returns:
  the QVariant type

Definition at line 282 of file kfilemetainfo.h.

const QString& KFileMimeTypeInfo::ItemInfo::key | ( |  | ) | const`[inline]`

Returns the name of the item.

Returns:
  the name of the item

Definition at line 291 of file kfilemetainfo.h.

Referenced by KFileMetaInfo::addGroup().

QString KFileMimeTypeInfo::ItemInfo::string | ( | const QVariant & | value,
|  | bool | mangle = `true`
| ) | const

Returns a string for the specified `value`, if possible.

If not, QString::null is returned. This can be used by programs if they want to display a sum or an average of some item for a list of files.

Parameters:

  | value | the value to convert
  | mangle | if true, the string will already contain prefix and suffix

Returns:
  the converted string, or QString::null if not possible

Since:
  3.1

Definition at line 1582 of file kfilemetainfo.cpp.

References QString::append(), QString::arg(), KFileMimeTypeInfo::Bytes, KIO::convertSize(), KIO::convertSizeFromKB(), KLocale::formatDate(), KLocale::formatDateTime(), KLocale::formatNumber(), KLocale::formatTime(), QString::isNull(), KFileMimeTypeInfo::KiloBytes, KGlobal::locale(), prefix(), QString::prepend(), KFileMimeTypeInfo::Seconds, QString::sprintf(), suffix(), QVariant::toBool(), QVariant::toDate(), QVariant::toDateTime(), QVariant::toDouble(), QVariant::toInt(), QVariant::toLongLong(), QVariant::toSize(), QVariant::toString(), QVariant::toTime(), QVariant::toUInt(), QVariant::toULongLong(), QVariant::type(), and unit().

bool KFileMimeTypeInfo::ItemInfo::isVariableItem | ( |  | ) | const`[inline]`

Is this item the variable item?

Returns:
  true if it is, false if not

Definition at line 314 of file kfilemetainfo.h.

Referenced by KFileMetaInfoGroup::addItem().

const QString& KFileMimeTypeInfo::ItemInfo::translatedKey | ( |  | ) | const`[inline]`

Returns a translation of the key for displaying to the user.

If the plugin provides translation to the key, it's also in the user's language.

Returns:
  the translated key

Definition at line 326 of file kfilemetainfo.h.

uint KFileMimeTypeInfo::ItemInfo::attributes | ( |  | ) | const`[inline]`

Return the attributes of the item.

See KFileMimeTypeInfo::Attributes.

Returns:
  the attributes

Definition at line 336 of file kfilemetainfo.h.

Referenced by KFileMetaInfo::addGroup().

uint KFileMimeTypeInfo::ItemInfo::hint | ( |  | ) | const`[inline]`

Return the hints for the item.

See KFileMimeTypeInfo::Hint

Returns:
  the hint

Definition at line 346 of file kfilemetainfo.h.

uint KFileMimeTypeInfo::ItemInfo::unit | ( |  | ) | const`[inline]`

Return the unit of the item.

See KFileMimeTypeInfo::Unit

Returns:
  the unit

Definition at line 356 of file kfilemetainfo.h.

Referenced by string().

The documentation for this class was generated from the following files:

- kfilemetainfo.h
- kfilemetainfo.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:24:43 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003